Module java.desktop
Package javax.swing

## Interface Renderer

-     public interface Renderer

  Defines the requirements for an object responsible for "rendering" (displaying) a value.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getComponent​()` | Returns the component used to render the value.
    `void` | `setValue​(Object aValue, boolean isSelected)` | Specifies the value to display and whether or not the value should be portrayed as "currently selected".

- - ### Method Detail

    - #### setValue

          void setValue​(Object aValue,
                        boolean isSelected)

      Specifies the value to display and whether or not the value should be portrayed as "currently selected".
      Parameters:
        `aValue` - an Object object
        `isSelected` - a boolean

    - #### getComponent

          Component getComponent​()

      Returns the component used to render the value.
      Returns:
        the Component responsible for displaying the value